Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 961163 - [WebTrans] shift-w and g erroneously triggers Copy from Source
[WebTrans] shift-w and g erroneously triggers Copy from Source
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Retired
Component: Component-UI (Show other bugs)
2.3
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 22:09 EDT by Ding-Yi Chen
Modified: 2013-11-26 22:22 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.3.2-SNAPSHOT (20130513-0001)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:22:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-05-08 22:09:21 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ding-Yi Chen 2013-05-08 22:17:41 EDT
Description of problem:
When input shift-w (the case does not matter) then g, it acted as if the copy from source command key, alt-g, is pressed, thus mistakenly overwrite what user have typed.

Version-Release number of selected component (if applicable):

Zanata version 2.3.1 (20130505-2134)
Zanata version 3.0.0-SNAPSHOT (20130509-0036)

How reproducible:
Always

Steps to Reproduce:
1. In the translation editor, click on any entry.
2. Press key shift-w
3. Press key g
  
Actual results:
The source text is copied to target text.

Expected results:
String "Wg" or "wG" is inputted.

Additional info:
Comment 2 Carlos Munoz 2013-05-08 22:22:07 EDT
A bit more on the specifics of the scenarios that trigger the issue:

- Any string that contains the characters 'W' and 'g' will cause it.
- It has to be in that order. typing the 'g' first and then the 'W' will not cause it.
- If enough time has passed after the typing of the 'W' character, typing the 'g' will not trigger it.
- Pasting text with those characters into the editor field will not trigger it.
Comment 3 David Mason 2013-05-09 20:30:17 EDT
Fixed in 2.3.2-SNAPSHOT and merged to master. Note that this only fixes the Shift+W g behaviour, there are still several other changes to make for modal key shortcuts to behave correctly.

See: https://github.com/zanata/zanata/commit/2598c302924447edd20413e75e9b99ec594eb0b0
Comment 4 Ding-Yi Chen 2013-05-12 21:29:21 EDT
VERIFIED with Zanata version 3.0.0-SNAPSHOT (20130513-0035)
and Zanata version 2.3.2-SNAPSHOT (20130513-0001).
Comment 5 Sean Flanigan 2013-11-26 22:22:17 EST
Closing bugs which were VERIFIED with snapshots <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.